Subject: CSE-415: The Final Exam.
From: "Akira Imada" <[email-masked]>
To: <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <volkansalgar
Cc: "Akira Imada" <[email-masked]>
Date: Wed, 30 Jan 2002 19:47:26 +0200

Dear all,

Sorry for the delay, but I've now completed to mark 
the final exam.

Akira,

---------------------------------------------------
Example answers are as follows.

1. h21 = -0.4
   y21 = -0.0064
   h31 = -0.00128

   z1  = -1
   e1  = 1 - 2.097512 x 10^(-10) or
           1 - 2 ^ 31 x 10 ^(-16) or
           approximately 1

   e21 = 9.8304   x 10^(-8) or -3 x 2^15 x 10^(-12)
   d21 = 4.718592 x 10 (-9) or -9 x 2^19 x 10^(-15)

   delta_w112 
       = 2.3592960 x 10^(-10) or 
         -5 x 9 x 2^(19) x 10^(-17)
 
   w112 = 0.2
   w211 = 0.2

2. w23 = 0 

3.   state     energy
   +1 +1 +1     -0.5
   +1 +1 -1      0.5
   +1 -1 +1     -3.5
   +1 -1 -1      1.5
   -1 +1 +1      0.5
   -1 +1 -1     -2.5
   -1 -1 +1      1.5
   -1 -1 -1      2.5

   The state of the Garden of Eden:  -1 -1 -1
   The stable states: -1 +1 -1  and  +1 -1 +1 

   (Note: The Garden of Eden is not 
    necessarily the highest energy state,
    and stable state is not necessarily 
    the lowest state, although the opposite
    is always true.)

---------------------------------------------------
Points are assigned as follows. 

1. 50 points (each sub-question is assigned
   equally with 5 points.)
2. 25 points (if the answer is collect, 
    otherwise zero since this question was
    stupidly easy.)
3. 25 points (2 points for each of the possible
   eight states. 3 points for one G-of-E & two
   stable states.)

---------------------------------------------------
Basically, if the results are incorrect, you are 
not given any score for the question. This is 
because you are studying in Engineering Faculty, 
not Science Faculty. If you were in Science Faculty, 
you might say that procedures are rather important, 
but in Engineering, an incorrect solution with 
collect procedure sometimes causes a fatal result. 
That's why I put emphasis on the results. 

---------------------------------------------------
In addition I will not open your paper for some
reason. Do not ask me to show your paper personally.
I hope you understand this.

---------------------------------------------------
The bellows are the final score of yours,
(ID-ORT-HARF)

I'm so sorry to say this for those who took 
a high mark, but the worse your result, 
the better your points will be than you 
expected. 

Don't ask me some bonus points for appropriate
equation with incorrect answer since you might
consult with your note-book during the exam. 

No further special treatment. Those who 
have the score of fifty actually took
zero point in the final examination.

---------------------------------------------------
96-48: 50 fd, 97-03: 69 dc, 97-14: 55 fd,
97-17: 50 fd, 97-39: 59 dd, 97-42: 77 cb,
97-48: 70 cc, 97-50: 50 fd, 97-55: 70 cc,
98-02: 83 bb, 98-03: 72 cc, 98-05: 89 aa,
98-11: 95 aa, 98-16: 63 dd, 98-17: 91 aa,
98-19: 78 cb, 98-20: 78 cb, 98-21: 86 ba,
98-22: 88 ba, 98-23: 81 bb, 98-27: 75 cb,
98-30: 86 ba, 98-32: 80 bb, 98-34: 75 cb,
98-38: 79 cb, 98-42: 95 aa, 98-46: 68 dc,
98-47: 93 aa, 98-48: 63 dd, 98-49: 82 bb,
99-02: 84 bb, 99-04: 95 aa, 99-06: 71 cc,
99-08: 98 aa, 99-11: 77 cb, 99-12: 80 bb,
99-13: 83 bb, 99-15: 87 ba, 99-18: 50 fd,
99-19: 94 aa, 99-20: 88 ba, 99-21: 67 dc,
99-28: 58 dd, 99-32: 96 aa, 99-36:  none,
99-37: 67 dc, 99-38: 87 ba, 99-32: 51 fd.